<?php
/**
 * =================================================
 * Hook olars_page
 * =================================================
 */
add_action('olars_page', 'olars_page_header', 10);
add_action('olars_page', 'olars_page_content', 20);

/**
 * =================================================
 * Hook olars_single_post_top
 * =================================================
 */
add_action('olars_single_post_top', 'olars_post_header', 10);

/**
 * =================================================
 * Hook olars_single_post
 * =================================================
 */
add_action('olars_single_post', 'olars_post_thumbnail', 10);
add_action('olars_single_post', 'olars_post_content', 30);

/**
 * =================================================
 * Hook olars_single_post_bottom
 * =================================================
 */
add_action('olars_single_post_bottom', 'olars_post_taxonomy', 5);
add_action('olars_single_post_bottom', 'olars_post_nav', 10);
add_action('olars_single_post_bottom', 'olars_display_comments', 20);

/**
 * =================================================
 * Hook olars_loop_post
 * =================================================
 */
add_action('olars_loop_post', 'olars_post_header', 15);
add_action('olars_loop_post', 'olars_post_content', 30);

/**
 * =================================================
 * Hook olars_footer
 * =================================================
 */
add_action('olars_footer', 'olars_footer_default', 20);

/**
 * =================================================
 * Hook olars_after_footer
 * =================================================
 */

/**
 * =================================================
 * Hook wp_footer
 * =================================================
 */
add_action('wp_footer', 'olars_template_account_dropdown', 1);
add_action('wp_footer', 'olars_mobile_nav', 1);

/**
 * =================================================
 * Hook wp_head
 * =================================================
 */
add_action('wp_head', 'olars_pingback_header', 1);

/**
 * =================================================
 * Hook olars_before_header
 * =================================================
 */

/**
 * =================================================
 * Hook olars_before_content
 * =================================================
 */

/**
 * =================================================
 * Hook olars_content_top
 * =================================================
 */

/**
 * =================================================
 * Hook olars_post_content_before
 * =================================================
 */

/**
 * =================================================
 * Hook olars_post_content_after
 * =================================================
 */

/**
 * =================================================
 * Hook olars_sidebar
 * =================================================
 */
add_action('olars_sidebar', 'olars_get_sidebar', 10);

/**
 * =================================================
 * Hook olars_loop_after
 * =================================================
 */
add_action('olars_loop_after', 'olars_paging_nav', 10);

/**
 * =================================================
 * Hook olars_page_after
 * =================================================
 */
add_action('olars_page_after', 'olars_display_comments', 10);

/**
 * =================================================
 * Hook olars_woocommerce_before_shop_loop_item
 * =================================================
 */

/**
 * =================================================
 * Hook olars_woocommerce_before_shop_loop_item_title
 * =================================================
 */

/**
 * =================================================
 * Hook olars_woocommerce_shop_loop_item_title
 * =================================================
 */

/**
 * =================================================
 * Hook olars_woocommerce_after_shop_loop_item_title
 * =================================================
 */

/**
 * =================================================
 * Hook olars_woocommerce_after_shop_loop_item
 * =================================================
 */
